import numpy as np

def get_e_nu_from_k_g(k, g):
    e = 9*k*g/(3*k+g)
    nu = (3*k-2*g)/(2*(3*k+g))
    return e, nu


def get_k_g_from_e_nu(e, nu):
    k = e/(3*(1-2*nu))
    g = e/(2*(1+nu))
    return k, g


def A_from_ak_and_ag(ak, ag):
    ii = np.array([[1, 1, 1, 0, 0, 0],
                   [1, 1, 1, 0, 0, 0],
                   [1, 1, 1, 0, 0, 0],
                   [0, 0, 0, 0, 0, 0],
                   [0, 0, 0, 0, 0, 0],
                   [0, 0, 0, 0, 0, 0]])

    Iv = 1/3*ii
    Id = np.eye(6)-Iv
    A = ak*Iv + ag*Id

    return A


def L_from_k_and_g(k, g):
    ii = np.array([[1, 1, 1, 0, 0, 0],
                   [1, 1, 1, 0, 0, 0],
                   [1, 1, 1, 0, 0, 0],
                   [0, 0, 0, 0, 0, 0],
                   [0, 0, 0, 0, 0, 0],
                   [0, 0, 0, 0, 0, 0]])

    Iv = 1/3*ii
    Id = np.eye(6)-Iv
    L = 3*k*Iv + 2*g*Id

    return L